> For the complete documentation index, see [llms.txt](https://docs.wem.io/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wem.io/platform/wemreference/wmt/reference/buttonbarbuttons.md).

# Button Bar Buttons

{% hint style="info" %}
The **`ButtonBarButtons`** template part renders the bottom buttons of the left or right container created within an interaction node.
{% endhint %}

### Syntax

`<% ButtonBarButtons`` `<mark style="color:blue;">`buttons-container`</mark>` ``%>`

`<% ButtonBarButtons alignment =`` `<mark style="color:blue;">`buttons-container`</mark>` ``%>`

#### Button Containers

<table data-header-hidden data-full-width="false"><thead><tr><th></th></tr></thead><tbody><tr><td><mark style="color:blue;"><code>buttons-container</code></mark></td></tr><tr><td>left</td></tr><tr><td>right</td></tr></tbody></table>

### Example

```html
<body>
    <!-- Body content -->
    <div class="pull-left">
        <% ButtonBarButtons left %>
    </div>
    <div class="pull-right">
        <% ButtonBarButtons right %>
    </div>
    <!-- Body content -->
</body>
```

### Generated Output

```html
<a role="button" class="btn btn-default" id="tbtn1" href="#">Cancel</a>
<a role="button" class="btn btn-primary" id="tbtn2" href="#">Save</a>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wem.io/platform/wemreference/wmt/reference/buttonbarbuttons.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
